title: Accordion
fields:
  -
    handle: separator_color
    field:
      swatches:
        - '#CE4B12'
        - '#74AFB7'
        - '#004F59'
        - '#FCC134'
      allow_any: false
      type: color
      display: 'Preferred separator color'
      localizable: false
      validate:
        - required
      default: '#CE4B12'
      listable: false
      instructions: |-
        - Orange and teal separators are supported on all light backgrounds.
        - Light teal and yellow separators only work on white backgrounds.
        - Teal backgrounds will always have white separators.
  -
    handle: accordion
    field:
      type: replicator
      display: Accordion
      localizable: false
      hide_display: true
      sets:
        accordion_sections:
          display: 'Accordion sections'
          sets:
            accordion_section:
              display: 'Accordion section'
              icon: align-object-bottom
              fields:
                -
                  handle: accordion_section_heading
                  field:
                    type: text
                    display: Heading
                    localizable: false
                    validate:
                      - required
                -
                  handle: accordion_section_content
                  field:
                    buttons:
                      - h2
                      - h3
                      - bold
                      - italic
                      - unorderedlist
                      - orderedlist
                      - removeformat
                      - anchor
                    remove_empty_nodes: true
                    always_show_set_button: true
                    type: bard
                    display: Content
                    localizable: false
                    sets:
                      sets:
                        display: Sets
                        sets:
                          button:
                            display: Button
                            icon: form-text-field
                            fields:
                              - import: button
                          image:
                            display: Image
                            icon: media-image-picture-orientation
                            fields:
                              - import: image
                          video:
                            display: Video
                            icon: media-webcam-video
                            fields:
                              - import: video
                          statistic:
                            display: Statistic
                            icon: alert-warning-exclamation-mark
                            fields:
                              - import: statistic
                          blockquote:
                            display: Blockquote
                            icon: text-formatting-image-bottom
                            fields:
                              - import: blockquote
                          pullquote:
                            display: Pullquote
                            icon: text-formatting-quotation
                            fields:
                              - import: pullquote
